import { Controller, Get, Post } from '@nestjs/common';
import { StatsService } from './services/stats.service';

@Controller('stats')
export class StatsController {
    constructor(private readonly statsService: StatsService) { }

    @Get()
    getStats() {
        return this.statsService.getStats();
    }

    @Post('visit')
    incrementVisit() {
        return this.statsService.incrementVisits();
    }

    @Post('click')
    incrementClick() {
        return this.statsService.incrementClicks();
    }
}
